### Method

# PangoOT RulesetDescription equal

since: 1.18

#### Declaration [src]

    gboolean
    pango_ot_ruleset_description_equal (
      const PangoOTRulesetDescription* desc1,
      const PangoOTRulesetDescription* desc2
    )

#### Description [src]

Compares two ruleset descriptions for equality.

Two ruleset descriptions are considered equal if the rulesets they describe are provably identical. This means that their script, language, and all feature sets should be equal.

For static feature sets, the array addresses are compared directly, while for other features, the list of features is compared one by one.(Two ruleset descriptions may result in identical rulesets being created, but still compare `FALSE`.).

Available since: 1.18

#### Parameters

`desc2`

  Type: `PangoOTRulesetDescription`

  A ruleset description.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if two ruleset descriptions are identical, `FALSE` otherwise.